Index: CONFIG/IPSLCM/IPSLCM5/trunk/AA_make
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/trunk/AA_make	(revision 483)
+++ CONFIG/IPSLCM/IPSLCM5/trunk/AA_make	(revision 515)
@@ -15,4 +15,8 @@
 ORCA2xLMD9671 : libioipsl oasis3 liborchidee orca2 lmdz9671 verif	
 	echo "ORCA2xLMD9671" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2xLMD9695 : libioipsl oasis3 liborchidee orca2 lmdz9695 verif
+	echo "ORCA2xLMD9695" >.resol
 	echo "$(LIB_MPI)" >.libmpi
 
@@ -38,4 +42,8 @@
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_96x71x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
 
+lmdz9695:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x95x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x95x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+
 lmdz144142:
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x142x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_144x142x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
@@ -43,5 +51,5 @@
 
 orca2:
-	(cd ../../modeles/NEMO/WORK; $(M_K) USER_INC='-I ../$(PRISM_DIR)/$(PRISM_ARCH)/build/lib/psmile.$(LIB_MPI)' OASIS_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' ; )
+	(cd ../../modeles/NEMO/WORK; $(M_K) USER_INC='-I ../$(PRISM_DIR)/$(PRISM_ARCH)/build/lib/psmile.$(LIB_MPI)' USER_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' P_P='key_trabbl_dif key_vectopt_loop key_vectopt_memory key_orca_r2 key_lim2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtatem key_dtasal key_coupled key_trabbc key_zdftke key_zdfddm key_oasis3 key_diahth key_cpl_albedo key_cpl_discharge key_mpp_mpi' ; )
 
 verif:
Index: CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/COMP/oasis.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/COMP/oasis.card	(revision 483)
+++ CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/COMP/oasis.card	(revision 515)
@@ -31,48 +31,48 @@
 
 [OutputFiles]
-List=	(SISUTESW_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SISUTESW.nc,    NONE),\
-	(SIICECOV_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICECOV.nc,    NONE),\
-	(SIICTEMW_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICTEMW.nc,    NONE),\
-	(SIICEALW_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICEALW.nc,    NONE),\
-	(COTAUXXU_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXU.nc,    NONE),\
-	(COTAUXXV_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXV.nc,    NONE),\
-	(COTAUYYU_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYU.nc,    NONE),\
-	(COTAUYYV_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYV.nc,    NONE),\
-	(COTAUZZU_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZU.nc,    NONE),\
-	(COTAUZZV_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZV.nc,    NONE),\
-	(COWINDSP_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COWINDSP.nc,    NONE),\
-	(COPEFWAT_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COPEFWAT.nc,    NONE),\
-	(COPEFICE_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COPEFICE.nc,    NONE),\
-	(COTOSPSU_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOSPSU.nc,    NONE),\
-	(COICEVAP_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COICEVAP.nc,    NONE),\
-	(COSWFLDO_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COSWFLDO.nc,    NONE),\
-	(CONSFLDO_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CONSFLDO.nc,    NONE),\
-	(COSHFLIC_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COSHFLIC.nc,    NONE),\
-	(CONSFLIC_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CONSFLIC.nc,    NONE),\
-	(CODFLXDT_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CODFLXDT.nc,    NONE),\
-	(CRWOCEIS_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CRWOCEIS.nc,    NONE),\
-	(CRWOCERD_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CRWOCERD.nc,    NONE),\
-	(O_SSTSST_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_SSTSST.nc,    NONE),\
-	(OIceFrac_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceFrac.nc,    NONE),\
-	(O_TepIce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_TepIce.nc,    NONE),\
-	(O_AlbIce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_AlbIce.nc,    NONE),\
-	(O_OTaux1_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTaux1.nc,    NONE),\
-	(O_OTaux2_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTaux2.nc,    NONE),\
-	(O_OTauy1_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauy1.nc,    NONE),\
-	(O_OTauy2_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauy2.nc,    NONE),\
-	(O_OTauz1_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauz1.nc,    NONE),\
-	(O_OTauz2_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauz2.nc,    NONE),\
-	(O_Wind10_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_Wind10.nc,    NONE),\
-	(OPre-Sub_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OPre-Sub.nc,    NONE),\
-	(OOEva-Pr_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OOEva-Pr.nc,    NONE),\
-	(OISub-Sn_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OISub-Sn.nc,    NONE),\
-	(OIceEvap_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceEvap.nc,    NONE),\
-	(O_QsrOce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QsrOce.nc,    NONE),\
-	(O_QsrIce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QsrIce.nc,    NONE),\
-	(O_QnsOce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QnsOce.nc,    NONE),\
-	(O_QnsIce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QnsIce.nc,    NONE),\
-	(O_dQnsdT_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_dQnsdT.nc,    NONE),\
-	(O_Runoff_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_Runoff.nc,    NONE),\
-	(OCalving_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OCalving.nc,    NONE)
+List=   (SISUTESW_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SISUTESW.nc,    NONE),\
+        (SIICECOV_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICECOV.nc,    NONE),\
+        (SIICTEMW_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICTEMW.nc,    NONE),\
+        (SIICEALW_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIICEALW.nc,    NONE),\
+        (COTAUXXU_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXU.nc,    NONE),\
+        (COTAUXXV_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXV.nc,    NONE),\
+        (COTAUYYU_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYU.nc,    NONE),\
+        (COTAUYYV_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYV.nc,    NONE),\
+        (COTAUZZU_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZU.nc,    NONE),\
+        (COTAUZZV_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZV.nc,    NONE),\
+        (COWINDSP_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COWINDSP.nc,    NONE),\
+        (COEMPSIC_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COEMPSIC.nc,    NONE),\
+        (CONESOPR_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CONESOPR.nc,    NONE),\
+        (COEMPOCE_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COEMPOCE.nc,    NONE),\
+        (COICEVAP_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COICEVAP.nc,    NONE),\
+        (COSHFOCE_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COSHFOCE.nc,    NONE),\
+        (CONSFOCE_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CONSFOCE.nc,    NONE),\
+        (COSHFICE_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COSHFICE.nc,    NONE),\
+        (CONSFICE_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CONSFICE.nc,    NONE),\
+        (CODFLXDT_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CODFLXDT.nc,    NONE),\
+        (COCALVIN_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COCALVIN.nc,    NONE),\
+        (COLIQRUN_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COLIQRUN.nc,    NONE),\
+        (O_SSTSST_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_SSTSST.nc,    NONE),\
+        (OIceFrac_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceFrac.nc,    NONE),\
+        (O_TepIce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_TepIce.nc,    NONE),\
+        (O_AlbIce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_AlbIce.nc,    NONE),\
+        (O_OTaux1_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTaux1.nc,    NONE),\
+        (O_OTaux2_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTaux2.nc,    NONE),\
+        (O_OTauy1_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauy1.nc,    NONE),\
+        (O_OTauy2_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauy2.nc,    NONE),\
+        (O_OTauz1_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauz1.nc,    NONE),\
+        (O_OTauz2_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauz2.nc,    NONE),\
+        (O_Wind10_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_Wind10.nc,    NONE),\
+        (OSubMPre_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OSubMPre.nc,    NONE),\
+        (OISubMSn_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OISubMSn.nc,    NONE),\
+        (OOEvaMPr_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OOEvaMPr.nc,    NONE),\
+        (OIceEvap_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceEvap.nc,    NONE),\
+        (O_QsrOce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QsrOce.nc,    NONE),\
+        (O_QsrIce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QsrIce.nc,    NONE),\
+        (O_QnsOce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QnsOce.nc,    NONE),\
+        (O_QnsIce_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QnsIce.nc,    NONE),\
+        (O_dQnsdT_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_dQnsdT.nc,    NONE),\
+        (O_Runoff_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_Runoff.nc,    NONE),\
+        (OCalving_out.${DATE_OASIS}.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OCalving.nc,    NONE)
 
 [Post_cpl_oce_tau]
Index: CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD144142
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD144142	(revision 483)
+++ CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD144142	(revision 515)
@@ -38,5 +38,5 @@
 #
  $NFIELDS
-            22
+            21
  $END
 ###############################################################################
@@ -300,28 +300,8 @@
  INT=1
 ##
-##########################################################################
-# Field 11 : 10-m wind speed (a->o tau 2) 
-#
-COWINDSP O_Wind10 36 86400  6    flxat.nc <output_mode>
-tlmd  torc LAG=1800
-P  0 P  2
-INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
-# Reverse
-NORSUD WSTEST
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Mask value
-888888.
-# Extrapolation method
-NINENN 2 1 1
-# Interpolation method
-BILINEAR  Z   SCALAR
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
 #########################################################################
-# Field 12 : emp_ice = evap_ice - ( rain_ice + snow_ice ) (a->o flx 7)
-#
-COPEFWAT OPre-Sub 25 86400  4   flxat.nc   <output_mode>
+# Field 11 : emp_ice = evap_ice - ( rain_ice + snow_ice ) (a->o flx 7)
+#
+COEMPSIC OSubMPre 25 86400  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -337,7 +317,7 @@
 #
 ##########################################################################
-# Field 13 :  sprecip = evap_ice - snow_ice (o->a flx 6)
-#
-COPEFICE  OISub-Sn 25 86400  4   flxat.nc   <output_mode>
+# Field 12 :  sprecip = evap_ice - snow_ice (o->a flx 6)
+#
+CONESOPR  OISubMSn 25 86400  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -353,7 +333,7 @@
 #
 ##########################################################################
-# Field 14 : emp = emp_oce = evap_oce - ( rain_oce + snow_oce ) (a->o flx 9)
-#
-COTOSPSU  OOEva-Pr 28 86400  4   flxat.nc   <output_mode>
+# Field 13 : emp = emp_oce = evap_oce - ( rain_oce + snow_oce ) (a->o flx 9)
+#
+COEMPOCE  OOEvaMPr  28 86400  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -369,5 +349,5 @@
 #
 ##########################################################################
-# Field 15 : Evaporation Ice  (a->o flx 8)
+# Field 14 : Evaporation Ice  (a->o flx 8)
 #
 COICEVAP OIceEvap 27 86400  4   flxat.nc   <output_mode>
@@ -385,7 +365,7 @@
 #
 ##########################################################################
-# Field 16 : solar heat flux on ocean (a->o flx 2)
-#
-COSWFLDO O_QsrOce  7 86400 4   flxat.nc  <output_mode>
+# Field 15 : solar heat flux on ocean (a->o flx 2)
+#
+COSHFOCE O_QsrOce  7 86400 4   flxat.nc  <output_mode>
 tlmd    torc  LAG=1800
 P  0 P  2
@@ -401,7 +381,7 @@
 #
 #########################################################################
-# Field 17 : Non solar heat flux on ocean (a->o flx 4)
-#
-CONSFLDO O_QnsOce 6 86400  4   flxat.nc  <output_mode>
+# Field 16 : Non solar heat flux on ocean (a->o flx 4)
+#
+CONSFOCE O_QnsOce 6 86400  4   flxat.nc  <output_mode>
 tlmd    torc   LAG=1800
 P  0 P  2
@@ -417,7 +397,7 @@
 #
 ##########################################################################
-# Field 18 : solar heat flux on ice (a->o flx 1)
-#
-COSHFLIC O_QsrIce  7 86400 4   flxat.nc  <output_mode>
+# Field 17 : solar heat flux on ice (a->o flx 1)
+#
+COSHFICE O_QsrIce  7 86400 4   flxat.nc  <output_mode>
 tlmd    torc  LAG=1800
 P  0 P  2
@@ -433,7 +413,7 @@
 #
 ##########################################################################
-# Field 19 : Non solar heat flux on ice (a->o flx 3)
-#
-CONSFLIC O_QnsIce 6 86400  4  flxat.nc  <output_mode>
+# Field 18 : Non solar heat flux on ice (a->o flx 3)
+#
+CONSFICE  O_QnsIce 6 86400  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=1800
 P  0 P  2
@@ -449,5 +429,5 @@
 #
 ############################################################################
-# Field 20 : Non solar heat flux derivative (o->a flx 5)
+# Field 19 : Non solar heat flux derivative (o->a flx 5)
 #
 CODFLXDT O_dQnsdT  35 86400  4   flxat.nc  <output_mode>
@@ -465,7 +445,7 @@
 #
 ###########################################################################
-# Field 21 : iceberg calving (a->o flx 12)
-#
-CRWOCEIS OCalving  32 86400  4  flxat.nc  <output_mode>
+# Field 20 : iceberg calving (a->o flx 12)
+#
+COCALVIN OCalving  32 86400  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -481,7 +461,7 @@
 #
 ############################################################################
-# Field 22 : run-off (a->o flx 11)
-#
-CRWOCERD  O_Runoff 32 86400  5  flxat.nc   <output_mode>
+# Field 21 : run-off (a->o flx 11)
+#
+COLIQRUN  O_Runoff 32 86400  5  flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
Index: CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD9671
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD9671	(revision 483)
+++ CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD9671	(revision 515)
@@ -38,5 +38,5 @@
 #
  $NFIELDS
-            22
+            21
  $END
 ###############################################################################
@@ -105,5 +105,5 @@
 #                      OCEAN  --->>>  ATMOS
 #                      --------------------
-# Field 1 : Sea surface temperature (o->a 1)
+# Field 1 : Weighted Sea surface temperature (o->a 1)
 #
 O_SSTSST SISUTESW 1 86400  5  sstoc.nc  <output_mode> 
@@ -142,5 +142,5 @@
 #
 ############################################################################
-# Field 3 : Sea Ice Temperature (o->a 4)
+# Field 3 : Weighted Sea Ice Temperature (o->a 3)
 #
 O_TepIce SIICTEMW 34 86400  5  sstoc.nc  <output_mode>
@@ -159,5 +159,5 @@
 #
 ############################################################################
-# Field 4 : Sea ice albedo (o->a 3)
+# Field 4 : Weighted Sea ice albedo (o->a 4)
 #
 O_AlbIce SIICEALW 17 86400  5  sstoc.nc  <output_mode>
@@ -181,4 +181,5 @@
 #                      -------------------------
 ############################################################################   
+#
 # Field 5 : wind stress along X axis (a->o tau 1)
 #
@@ -201,4 +202,5 @@
 #
 ###########################################################################
+#
 # Field 6 : stress along Y axis (a->o tau 1)
 #
@@ -221,4 +223,5 @@
 #
 ###########################################################################
+#
 # Field 7 :wind stress along Z axis (a->o tau 1)
 #
@@ -241,4 +244,5 @@
 #
 ##########################################################################
+#
 # Field 8 : wind stress along X axis 2 (a->o tau 2)
 #
@@ -261,4 +265,5 @@
 #
 ##########################################################################
+#
 # Field 9 : wind stress along Y axis 2 (a->o tau 2) 
 #
@@ -281,4 +286,5 @@
 #
 ##########################################################################
+#
 # Field 10 :  wind stress along Z axis 2 (a->o tau 2) 
 #
@@ -299,29 +305,44 @@
 # CHECKOUT: indicate computation of global, land and sea field integrals.
  INT=1
-##
+#
+#########################################################################
+#
+# Field 11 : emp_ice = evap_ice - ( rain_ice + snow_ice ) (a->o flx 7)
+#
+COEMPSIC OSubMPre 25 86400  4   flxat.nc   <output_mode>
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    14
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
 ##########################################################################
-# Field 11 : 10-m wind speed (a->o tau 2) 
-#
-COWINDSP O_Wind10 36 86400  6    flxat.nc <output_mode>
-tlmd  torc LAG=1800
-P  0 P  2
-INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
-# Reverse
-NORSUD WSTEST
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Mask value
-888888.
-# Extrapolation method
-NINENN 2 1 1
-# Interpolation method
-BILINEAR  Z   SCALAR
+#
+# Field 12 :  sprecip = evap_ice - snow_ice (o->a flx 6)
+#
+CONESOPR  OISubMSn 25 86400  4   flxat.nc   <output_mode>
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    14
 # CHECKOUT: indicate computation of global, land and sea field integrals.
  INT=1
 #
 #########################################################################
-# Field 12 : emp_ice = evap_ice - ( rain_ice + snow_ice ) (a->o flx 7)
-#
-COPEFWAT OPre-Sub 25 86400  4   flxat.nc   <output_mode>
+#
+# Field 13 : emp = emp_oce = evap_oce - ( rain_oce + snow_oce ) (a->o flx 9)
+#
+COEMPOCE  OOEvaMPr 29 86400  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -337,7 +358,8 @@
 #
 ##########################################################################
-# Field 13 :  sprecip = evap_ice - snow_ice (o->a flx 6)
-#
-COPEFICE  OISub-Sn 25 86400  4   flxat.nc   <output_mode>
+#
+# Field 14 : Evaporation Ice  (a->o flx 8)
+#
+COICEVAP OIceEvap 41 86400  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -351,72 +373,44 @@
 # CHECKOUT: indicate computation of global, land and sea field integrals.
  INT=1
+#
+###########################################################################
+#
+# Field 15 : solar heat flux on ocean (a->o flx 2)
+#
+COSHFOCE O_QsrOce  7 86400 4   flxat.nc  <output_mode>
+tlmd    torc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method or mozaic parameters
+wa2o.flx 92  2    14
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
 #########################################################################
-# Field 14 : emp = emp_oce = evap_oce - ( rain_oce + snow_oce ) (a->o flx 9)
-#
-COTOSPSU  OOEva-Pr 28 86400  4   flxat.nc   <output_mode>
-tlmd    torc  LAG=1800 
-P  0 P  2
-INVERT CHECKIN MOZAIC CHECKOUT
-# Reverse
-NORSUD WSTEST
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-wa2o.flx 92  2    14
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-##########################################################################
-# Field 15 : Evaporation Ice  (a->o flx 8)
-#
-COICEVAP OIceEvap 27 86400  4   flxat.nc   <output_mode>
-tlmd    torc  LAG=1800 
-P  0 P  2
-INVERT CHECKIN MOZAIC CHECKOUT
-# Reverse
-NORSUD WSTEST
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-wa2o.flx 92  2    14
+#
+# Field 16 : Non solar heat flux on ocean (a->o flx 4)
+#
+CONSFOCE O_QnsOce 6 86400  4   flxat.nc  <output_mode>
+tlmd    torc   LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    14 
 # CHECKOUT: indicate computation of global, land and sea field integrals.
  INT=1
 #
 ###########################################################################
-# Field 16 : solar heat flux on ocean (a->o flx 2)
-#
-COSWFLDO O_QsrOce  7 86400 4   flxat.nc  <output_mode>
-tlmd    torc  LAG=1800
-P  0 P  2
-INVERT CHECKIN MOZAIC CHECKOUT
-# Reverse
-NORSUD WSTEST
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method or mozaic parameters
-wa2o.flx 92  2    14
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-#########################################################################
-#
-# Field 17 : Non solar heat flux on ocean (a->o flx 4)
-#
-CONSFLDO O_QnsOce 6 86400  4   flxat.nc  <output_mode>
-tlmd    torc   LAG=1800
-P  0 P  2
-INVERT CHECKIN MOZAIC CHECKOUT
-# Reverse
-NORSUD WSTEST
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-wa2o.flx 92  2    14 
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-###########################################################################
-# Field 18 : solar heat flux on ice (a->o flx 1)
-#
-COSHFLIC O_QsrIce  7 86400 4   flxat.nc  <output_mode>
+#
+# Field 17 : solar heat flux on ice (a->o flx 1)
+#
+COSHFICE O_QsrIce  7 86400 4   flxat.nc  <output_mode>
 tlmd    torc  LAG=1800
 P  0 P  2
@@ -432,7 +426,8 @@
 #
 ############################################################################
-# Field 19 : Non solar heat flux on ice (a->o flx 3)
-#
-CONSFLIC O_QnsIce 6 86400  4  flxat.nc  <output_mode>
+#
+# Field 18 : Non solar heat flux on ice (a->o flx 3)
+#
+CONSFICE O_QnsIce 6 86400  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=1800
 P  0 P  2
@@ -448,5 +443,6 @@
 #
 ############################################################################
-# Field 20 : Non solar heat flux derivative (o->a flx 5)
+#
+# Field 19 : Non solar heat flux derivative (o->a flx 5)
 #
 CODFLXDT O_dQnsdT  35 86400  4   flxat.nc  <output_mode>
@@ -464,7 +460,8 @@
 #
 #########################################################################
-# Field 21 : iceberg calving (a->o flx 12)
-#
-CRWOCEIS OCalving  32 86400  4  flxat.nc  <output_mode>
+#
+# Field 20 : iceberg calving (a->o flx 12)
+#
+COCALVIN OCalving  36 86400  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -480,7 +477,8 @@
 #
 #########################################################################
-# Field 22 : river run-off (a->o flx 11)
-#
-CRWOCERD  O_Runoff 32 86400  5  flxat.nc   <output_mode>
+#
+# Field 21 : liquid run-off (river + direct)  (a->o flx 11)
+#
+COLIQRUN  O_Runoff 32 86400  5  flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -492,5 +490,5 @@
 # Interpolation method ou parametres mozaic
 wa2o.run 94    4   158
-# change units from m/s to kg/s, change of sign
+# change units from m/s to kg/s
 # weights convert from kg/s to kg/m^2/s
 1000.0 0
Index: CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD9695
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD9695	(revision 515)
+++ CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD9695	(revision 515)
@@ -0,0 +1,504 @@
+###############################################################################
+#
+#      Input file for OASIS3
+# 
+#      This version is for use with IPSL_CM4_v1 
+#
+#      The file will be edited at runtime to update it for
+#         - the initial date of the run
+#
+###############################################################################
+#  
+#      Input delimiters have to occupy position 1 to 9 !
+#      No blank lines allowed !
+#      Length of input lines <= 80 !
+#
+###############################################################################
+# 
+# SEQMODE : 1        if all models run simultaneously
+#           n        if  n  models run sequentially
+ $SEQMODE
+              1
+ $END
+###############################################################################
+#
+# CHANNEL (CHAR*4)
+#           PIPE        if named pipes + binary files are used 
+#                       for synchro and data respectively (not tested);
+#           MPI1/2      if MPI message passing is used for data exchange;
+#
+ $CHANNEL
+ <lib_mpi>
+ <nproc_atm>  <nproc_atm>
+ <nproc_oce>  <nproc_oce>               
+ $END
+###############################################################################
+#
+# NFIELDS : total number of fields being exchanged.
+#
+ $NFIELDS
+            21
+ $END
+###############################################################################
+#
+# JOBNAME : acronym for the given simulation (CHAR*3)
+#
+ $JOBNAME
+            EXP   
+ $END
+###############################################################################
+#
+# NBMODEL : number of models and their names (CHAR*6).
+#
+ $NBMODEL
+  2  lmdz.x opa.xx
+ $END
+###############################################################################
+# 
+# RUNTIME: total simulated time for the actual run in seconds (<I8)
+#
+ $RUNTIME
+ <total_time>
+ $END
+###############################################################################
+#
+# INIDATE (I8)
+#         initial date of the run (YYYYMMDD)         
+#
+ $INIDATE
+ <initial_date>
+ $END
+###############################################################################
+# 
+# MODINFO (YES or NOT)
+#         Indicates whether a header is encapsulated within the field
+#
+ $MODINFO
+  NOT
+ $END
+###############################################################################
+#
+# NLOGPRT: printing level in output file cplout: 
+#              0 = no printing
+#              1 = main routines and field names when treated
+#              2 = complete output
+#
+ $NLOGPRT
+   2
+ $END
+###############################################################################
+#
+# CALTYPE: Calendar type
+#                  0      = 365 day calendar (no leap years)
+#                  1      = 365 day, or 366 days for leap years, calendar
+#                  n (>1) = n day month calendar
+#
+ $CALTYPE
+         0 
+ $END
+#
+# 
+###############################################################################
+ $STRINGS
+###############################################################################
+#
+#                      OCEAN  --->>>  ATMOS
+#                      --------------------
+###############################################################################
+#
+# Field 1 : Weighted sea surface temperature (o->a 1)
+# 
+O_SSTSST  SISUTESW 1 86400  5  sstoc.nc  <output_mode> 
+torc  tlmd  LAG=5760
+P  2 P  0
+LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
+# LOCTRANS: AVERAGE to average value over coupling period
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mozaic: 1) mapping filename 2) connected unit 3) dataset rank 4) Maximum
+#         number of overlapped neighbors
+wo2a.tsg 93  1  15
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+  NORSUD   WSTEST
+#
+############################################################################
+#
+# Field 2 : Sea ice extent  (o->a 2)
+#
+OIceFrac SIICECOV 2 86400  5  sstoc.nc <output_mode>
+torc  tlmd   LAG=5760
+P  2 P  0
+#
+LOCTRANS CHECKIN MOZAIC  CHECKOUT  REVERSE
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+wo2a.tsg 93  1 15
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+NORSUD   WSTEST
+#
+############################################################################
+#
+# Field 4 : Weighted Sea Ice Temperature (o->a 3)
+#
+O_TepIce  SIICTEMW 34 86400  5  sstoc.nc  <output_mode>
+torc  tlmd   LAG=5760
+P  2 P  0
+LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# 
+wo2a.tsg 93  1  15 
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+  NORSUD   WSTEST
+############################################################################
+#
+# Field 3 : Weighted Sea ice albedo (o->a 4)
+#
+O_AlbIce  SIICEALW 17 86400  5  sstoc.nc  <output_mode>
+torc  tlmd  LAG=5760  
+P  2 P  0
+#
+LOCTRANS CHECKIN MOZAIC CHECKOUT  REVERSE
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+wo2a.tsg 93  1 15
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+NORSUD   WSTEST
+#
+############################################################################
+#
+#                      ATMOSPHERE  --->>>  OCEAN
+#                      -------------------------
+############################################################################   
+#
+# Field 5 : wind stress along X axis (a->o tau 1)
+#
+COTAUXXU O_OTaux1 23 86400  6  flxat.nc   <output_mode>
+tlmd    uorc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse 
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+###########################################################################
+#
+# Field 6 : stress along Y axis (a->o tau 1)
+#
+COTAUYYU O_OTauy1 23 86400  6  flxat.nc  <output_mode>
+tlmd    uorc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+###########################################################################
+#
+# Field 7 :wind stress along Z axis (a->o tau 1)
+#
+COTAUZZU O_OTauz1 23 86400  6  flxat.nc  <output_mode>
+tlmd    uorc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 8 : wind stress along X axis 2 (a->o tau 2)
+#
+COTAUXXV O_OTaux2  24 86400  6    flxat.nc  <output_mode>
+tlmd    vorc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 9 : wind stress along Y axis 2 (a->o tau 2) 
+#
+COTAUYYV O_OTauy2  24 86400  6    flxat.nc  <output_mode>
+tlmd    vorc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 10 :  wind stress along Z axis 2 (a->o tau 2) 
+#
+COTAUZZV O_OTauz2  24 86400  6    flxat.nc  <output_mode>
+tlmd    vorc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+##
+#########################################################################
+#
+# Field 11 : emp_ice = evap_ice - ( rain_ice + snow_ice ) (a->o flx 7)
+#
+COEMPSIC OSubMPre 25 86400  4   flxat.nc   <output_mode>
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 12 :  sprecip = evap_ice - snow_ice (o->a flx 6)
+#
+CONESOPR  OISubMSn 25 86400  4   flxat.nc   <output_mode>
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 13 : emp = emp_oce = evap_oce - ( rain_oce + snow_oce ) (a->o flx 9)
+#
+COEMPOCE  OOEvaMPr 29 86400  4   flxat.nc   <output_mode>
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 14 : Evaporation Ice  (a->o flx 8)
+#
+COICEVAP OIceEvap 41 86400  4   flxat.nc   <output_mode>
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 15 : solar heat flux on ocean (a->o flx 2)
+#
+COSHFOCE O_QsrOce  7 86400 4   flxat.nc  <output_mode>
+tlmd    torc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method or mozaic parameters
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 16 : Non solar heat flux on ocean (a->o flx 4)
+#
+CONSFOCE O_QnsOce 6 86400  4   flxat.nc  <output_mode>
+tlmd    torc   LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18 
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+###########################################################################
+#
+# Field 17 : solar heat flux on ice (a->o flx 1)
+#
+COSHFICE O_QsrIce  7 86400 4   flxat.nc  <output_mode>
+tlmd    torc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method or mozaic parameters
+wa2o.flx 92  2    18  
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+############################################################################
+#
+# Field 18 : Non solar heat flux on ice (a->o flx 3)
+#
+CONSFICE O_QnsIce 6 86400  4  flxat.nc  <output_mode>
+tlmd    torc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse 
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+############################################################################
+#
+# Field 19 : Non solar heat flux derivative (o->a flx 5)
+#
+CODFLXDT O_dQnsdT  35 86400  4   flxat.nc  <output_mode>
+tlmd    torc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 20 : iceberg calving (a->o flx 12)
+#
+COCALVIN OCalving  36 86400  4  flxat.nc  <output_mode>
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.cal  98   5   47
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 21 : liquid run-off (river + direct)  (a->o flx 11)
+#
+COLIQRUN  O_Runoff 32 86400  5  flxat.nc   <output_mode>
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC BLASNEW CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.run 94    4   216
+# change units from m/s to kg/s
+# weights convert from kg/s to kg/m^2/s
+1000.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+ $END
Index: CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namelist_ORCA2
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namelist_ORCA2	(revision 483)
+++ CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namelist_ORCA2	(revision 515)
@@ -78,5 +78,5 @@
    rdtmax      = 5760.     !  maximum time step on tracers (used if nacc=1)
    rdth        =  800.     !  depth variation of tracer time step  (used if nacc=1)
-   rdtbt       =   90.     !  barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
+   nn_baro     =   64      !  number of barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
    nclosea     =    1      !  = 0 no closed sea in the model domain
                            !  = 1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
@@ -188,5 +188,5 @@
 cn_snd_crt_grid   = 'T'                     ! 'T'
 ! RECEIVE
-cn_rcv_w10m       = 'coupled'               ! 'none' 'coupled'
+cn_rcv_w10m       = 'none'                  ! 'none' 'coupled'
 cn_rcv_tau_nature = 'oce only'              ! 'oce only' 'oce and ice' 'mixed oce-ice'
 cn_rcv_tau_refere = 'cartesian'             ! 'spherical' 'cartesian'
Index: CONFIG/IPSLCM/IPSLCM5/trunk/scripts/BB_make
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/trunk/scripts/BB_make	(revision 483)
+++ CONFIG/IPSLCM/IPSLCM5/trunk/scripts/BB_make	(revision 515)
@@ -7,21 +7,24 @@
 #          Check your compilers option in consequence when using real F95 compilers
 
-#-Q- sx8mercure  # Compiler options NEMO (CEA SX6-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind noopt_ieee -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- platine # Compiler options NEMO (CCRT Itanium Bull) 
+#-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
+#-Q- platine L_X = $(L_O) 
+#-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
 #-Q- sx8mercure  F_F = $(F_O) -f3
 #-Q- sx8mercure  L_X = $(L_O)
-#-Q- sx8brodie  # Compiler options NEMO (CEA SX6-NEC) 
-#-Q- sx8brodie  F_O =  -f2003 nocbind noopt_ieee -dw -Wf\"-A idbl4\" -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
+#-Q- sx8brodie  F_O =  -f2003 nocbind -dw -Wf\"-A idbl4\" -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- sx8brodie  F_F = $(F_O) -f3
 #-Q- sx8brodie  L_X = $(L_O)
 #-Q- sxdkrz  # Compiler options for NEMO (DKRZ SX6-NEC) 
-#-Q- sxdkrz  F_O =  -f2003 nocbind noopt_ieee -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- sxdkrz  F_O =  -f2003 nocbind -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- sxdkrz  F_F = $(F_O) -f3
 #-Q- sxdkrz  L_X = $(L_O) -ftrace
 #-Q- eshpux  # Compiler options for NEMO (Earth Simulator)
 #-Q- eshpux  # for super perfs!
-#-Q- eshpux  # F_O = -f2003 nocbind noopt_ieee $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- eshpux  # F_O = -f2003 nocbind $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- eshpux  # regular options!
-#-Q- eshpux  F_O = -f2003 nocbind noopt_ieee $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- eshpux  F_O = -f2003 nocbind $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- eshpux  F_F = $(F_O) -f3
 #-Q- eshpux  L_X = $(L_O)
@@ -47,6 +50,6 @@
 #-Q- gfortran  L_X = -fdefault-real-8
 #-Q- aix    # Compiler options for NEMO (aix version)
-#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- aix    F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- aix    F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)$(USER_INC) 
 #-Q- aix   L_O = $(F_P) -q64 -O3
 #-Q- aix   L_X = $(L_O)
@@ -66,5 +69,5 @@
 
 # add suffix to P_P
-P_P := $(P_P:%=$(prefix)%)
+override P_P := $(P_P:%=$(prefix)%)
 
 # Some tests to define variables related to Agrif compilation
@@ -88,4 +91,5 @@
      key_bdy \
      key_c1d \
+     key_cfg_1d \
      key_coupled \
      key_cpl_albedo \
@@ -162,5 +166,6 @@
      key_zdfkpp \
      key_zdfric \
-     key_zdftke 
+     key_zdftke \
+     key_zdftke2 
 # .o file list in the library
 LIB_OBJ = \
@@ -379,4 +384,5 @@
 		$(MODEL_LIB)(zdf_oce.o)\
 		$(MODEL_LIB)(zdfric.o)\
+		$(MODEL_LIB)(zdftke2.o)\
 		$(MODEL_LIB)(zdftke.o)\
 		$(MODEL_LIB)(zpshde.o)
@@ -402,7 +408,7 @@
 $(EXEC_BIN) :	libioipsl firstagrif mpiagrif key keyverif src_file_list libagrif $(MODEL_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) agrif2model.o model.o
 ifeq ($(AGRIF),use)
-		$(F_L) $(L_X) -o $(EXEC_BIN) model.o agrif2model.o $(SXMODEL_LIB) $(OASIS_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
+		$(F_L) $(L_X) -o $(EXEC_BIN) model.o agrif2model.o $(SXMODEL_LIB) $(USER_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
 else
-		$(F_L) $(L_X) -o $(EXEC_BIN) model.o $(SXMODEL_LIB) $(OASIS_LIB) $(IOIPSL_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
+		$(F_L) $(L_X) -o $(EXEC_BIN) model.o $(SXMODEL_LIB) $(USER_LIB) $(IOIPSL_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
 endif
 
@@ -671,4 +677,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(obc_oce.o) \
+	$(MODEL_LIB)(obc_par.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -678,4 +685,5 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	obc_oce.F90 \
+	obc_par.F90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -1148,8 +1156,10 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_print.f90 \
 	$(MODEL_LIB)(bdy_par.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -1180,8 +1190,10 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1277,8 +1289,10 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1308,8 +1322,10 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1353,9 +1369,7 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(par_oce.o) \
 	par_oce.F90 \
@@ -1439,4 +1453,5 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	oce.F90 \
@@ -1445,4 +1460,5 @@
 	phycst.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	dom_oce.F90 \
@@ -1492,7 +1508,9 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
+	lbclnk.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -2205,4 +2223,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -2210,4 +2229,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -3268,4 +3288,5 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	obccli.F90 \
@@ -3277,4 +3298,5 @@
 	phycst.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	dom_oce.F90 \
@@ -3718,4 +3740,5 @@
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	obccli.F90 \
@@ -3732,4 +3755,5 @@
 	trdmod.F90 \
 	trdmod_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	bdydta.F90 \
@@ -3849,4 +3873,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -3854,4 +3879,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -3902,7 +3928,11 @@
 	dynzad.F90
 $(MODEL_LIB)(dynzdf_exp.o) :	\
-	in_out_manager.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(in_out_manager.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -3999,4 +4029,5 @@
 	$(MODEL_LIB)(zdfkpp.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zdftke.o) \
 	oce.F90 \
@@ -4006,4 +4037,5 @@
 	zdfkpp.F90 \
 	zdf_oce.F90 \
+	zdftke2.F90 \
 	zdftke.F90 \
 	domzgr_substitute.h90 \
@@ -4013,7 +4045,11 @@
 	dynzdf.F90
 $(MODEL_LIB)(dynzdf_imp.o) :	\
-	in_out_manager.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(in_out_manager.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -4362,4 +4398,5 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	KEY_CPP \
 	in_out_manager.F90
 $(MODEL_LIB)(iom_def.o) :	\
@@ -5063,7 +5100,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5076,7 +5110,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5086,5 +5117,4 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -5094,9 +5124,7 @@
 	prtctl.F90 \
 	sbc_ice.F90 \
-	sbc_oce.F90 \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
 	ice_2.F90 \
-	iceini_2.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -5108,5 +5136,4 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5328,49 +5355,32 @@
 	limrst_2.F90
 $(MODEL_LIB)(limsbc_2.o) :	\
-	dom_ice_2.F90 \
-	dom_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_ice_2.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	oce.F90 \
+	par_ice_2.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	albedo.F90 \
+	cpl_oasis3.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
 	ice_2.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
-	$(MODEL_LIB)(dom_ice_2.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_ice_2.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	oce.F90 \
-	par_ice_2.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
-	albedo.F90 \
-	cpl_oasis3.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	ice_2.F90 \
-	iceini_2.F90 \
-	ice_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
 	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(cpl_oasis3.o) \
@@ -5378,5 +5388,4 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5402,8 +5411,6 @@
 $(MODEL_LIB)(limthd_2.o) :	\
 	cpl_oasis3.F90 \
-	dom_ice_2.F90 \
 	dom_oce.F90 \
 	ice_2.F90 \
-	iceini_2.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -5412,11 +5419,7 @@
 	lib_print.f90 \
 	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
 	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5425,6 +5428,4 @@
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5432,6 +5433,4 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(thd_ice_2.o) \
 	oce.F90 \
@@ -5440,6 +5439,4 @@
 	par_oce.F90 \
 	phycst.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
 	thd_ice_2.F90 \
 	cpl_oasis3.F90 \
@@ -5447,5 +5444,4 @@
 	dom_oce.F90 \
 	ice_2.F90 \
-	iceini_2.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -5458,5 +5454,4 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5481,5 +5476,4 @@
 $(MODEL_LIB)(limthd_lac_2.o) :	\
 	dom_ice_2.F90 \
-	dom_oce.F90 \
 	eosbn2.F90 \
 	ice_2.F90 \
@@ -5488,9 +5482,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
 	$(MODEL_LIB)(dom_ice_2.o) \
-	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(ice_2.o) \
@@ -5499,7 +5489,4 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5507,6 +5494,4 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -5514,10 +5499,8 @@
 	par_oce.F90 \
 	phycst.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
-	iceini_2.F90 \
+	ice_2.F90 \
 	ice_oce.F90 \
 	limistate_2.F90 \
-	$(MODEL_LIB)(iceini_2.o) \
+	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(limistate_2.o) \
@@ -5539,9 +5522,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5552,9 +5531,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
+	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5562,6 +5537,4 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -5569,13 +5542,11 @@
 	par_oce.F90 \
 	phycst.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
 	cpl_oasis3.F90 \
-	iceini_2.F90 \
+	ice_2.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
 	limistate_2.F90 \
 	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(iceini_2.o) \
+	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5600,7 +5571,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5613,7 +5581,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5623,6 +5588,4 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -5632,11 +5595,8 @@
 	prtctl.F90 \
 	restart.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
 	daymod.F90 \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
 	ice_2.F90 \
-	iceini_2.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -5650,5 +5610,4 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5668,4 +5627,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbclnk.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5674,4 +5634,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -6266,7 +6227,9 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
+	lbclnk.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(obc_par.o) \
@@ -6462,4 +6425,5 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfric.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zdftke.o) \
 	$(MODEL_LIB)(zpshde.o) \
@@ -6512,4 +6476,5 @@
 	zdf_oce.F90 \
 	zdfric.F90 \
+	zdftke2.F90 \
 	zdftke.F90 \
 	zpshde.F90 \
@@ -6681,8 +6646,10 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	oce.F90 \
 	phycst.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	vectopt_loop_substitute.h90 \
@@ -6693,9 +6660,11 @@
 	in_out_manager.F90 \
 	iom.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -6854,8 +6823,10 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_ice_2.o) \
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	oce.F90 \
+	par_ice_2.F90 \
 	phycst.F90 \
 	prtctl.F90 \
@@ -6896,4 +6867,5 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	oce.F90 \
@@ -6903,4 +6875,5 @@
 	phycst.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	albedo.F90 \
@@ -7005,4 +6978,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbclnk.F90 \
 	lib_print.f90 \
 	$(MODEL_LIB)(closea.o) \
@@ -7012,4 +6986,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -7115,5 +7090,4 @@
 	geo2ocean.F90 \
 	ice_2.F90 \
-	iceini_2.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -7145,5 +7119,4 @@
 	$(MODEL_LIB)(geo2ocean.o) \
 	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7413,4 +7386,5 @@
 	$(MODEL_LIB)(sbcrnf.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	oce.F90 \
@@ -7428,4 +7402,5 @@
 	sbcrnf.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	closea.F90 \
@@ -7481,8 +7456,24 @@
 	sbcmod.F90
 $(MODEL_LIB)(sbc_oce.o) :	\
-	$(MODEL_LIB)(par_kind.o) \
-	par_kind.F90 \
-	$(MODEL_LIB)(par_oce.o) \
-	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	dom_oce.F90 \
+	lbclnk.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	par_oce.F90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
 	sbc_oce.F90
 $(MODEL_LIB)(sbcrnf.o) :	\
@@ -7572,4 +7563,5 @@
 	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	oce.F90 \
@@ -7580,4 +7572,5 @@
 	restart.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	daymod.F90 \
@@ -8006,4 +7999,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zdftke.o) \
 	$(MODEL_LIB)(zpshde.o) \
@@ -8043,4 +8037,5 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
+	zdftke2.F90 \
 	zdftke.F90 \
 	zpshde.F90 \
@@ -8242,4 +8237,5 @@
 	$(MODEL_LIB)(obcdyn.o) \
 	$(MODEL_LIB)(obc_oce.o) \
+	$(MODEL_LIB)(obc_par.o) \
 	$(MODEL_LIB)(obctra.o) \
 	$(MODEL_LIB)(obcvol.o) \
@@ -8296,4 +8292,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zdftke.o) \
 	$(MODEL_LIB)(zpshde.o) \
@@ -8302,4 +8299,5 @@
 	obcdyn.F90 \
 	obc_oce.F90 \
+	obc_par.F90 \
 	obctra.F90 \
 	obcvol.F90 \
@@ -8356,4 +8354,5 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
+	zdftke2.F90 \
 	zdftke.F90 \
 	zpshde.F90 \
@@ -8470,4 +8469,5 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfric.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zdftke.o) \
 	$(MODEL_LIB)(zpshde.o) \
@@ -8508,4 +8508,5 @@
 	zdf_oce.F90 \
 	zdfric.F90 \
+	zdftke2.F90 \
 	zdftke.F90 \
 	zpshde.F90 \
@@ -9627,4 +9628,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zdftke.o) \
 	oce.F90 \
@@ -9647,4 +9649,5 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
+	zdftke2.F90 \
 	zdftke.F90 \
 	dom_oce.F90 \
@@ -9974,4 +9977,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -9979,4 +9983,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10033,4 +10038,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10038,4 +10044,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10252,4 +10259,5 @@
 	$(MODEL_LIB)(zdfkpp.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zdftke.o) \
 	oce.F90 \
@@ -10263,4 +10271,5 @@
 	zdfkpp.F90 \
 	zdf_oce.F90 \
+	zdftke2.F90 \
 	zdftke.F90 \
 	domzgr_substitute.h90 \
@@ -10545,4 +10554,5 @@
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(trdvor_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	oce.F90 \
@@ -10555,4 +10565,5 @@
 	trdmld_oce.F90 \
 	trdvor_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	daymod.F90 \
@@ -10745,4 +10756,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(obc_par.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -10750,4 +10762,5 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
+	obc_par.F90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -10765,8 +10778,12 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(obc_oce.o) \
+	$(MODEL_LIB)(obc_par.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
+	obc_oce.F90 \
+	obc_par.F90 \
 	oce.F90 \
 	phycst.F90 \
@@ -10946,4 +10963,5 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfric.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zdftke.o) \
 	par_oce.F90 \
@@ -10954,4 +10972,5 @@
 	zdf_oce.F90 \
 	zdfric.F90 \
+	zdftke2.F90 \
 	zdftke.F90 \
 	zdfini.F90
@@ -11081,4 +11100,85 @@
 	KEY_CPP \
 	zdfric.F90
+$(MODEL_LIB)(zdftke2.o) :	\
+	c1d.F90 \
+	dom_oce.F90 \
+	domvvl.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(c1d.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domvvl.o) \
+	$(MODEL_LIB)(eosbn2.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom_def.o) \
+	$(MODEL_LIB)(iom_ioipsl.o) \
+	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(trdmod.o) \
+	$(MODEL_LIB)(trdmod_oce.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zpshde.o) \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	sbc_oce.F90 \
+	trdmld_oce.F90 \
+	trdmod.F90 \
+	trdmod_oce.F90 \
+	zdfddm.F90 \
+	zdf_oce.F90 \
+	zpshde.F90 \
+	dom_oce.F90 \
+	dynzdf_exp.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynzdf_exp.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(trazdf_exp.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	restart.F90 \
+	sbc_oce.F90 \
+	trazdf_exp.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	domzgr_substitute.h90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
+	zdftke2.F90
 $(MODEL_LIB)(zdftke.o) :	\
 	c1d.F90 \
Index: CONFIG/IPSLCM/IPSLCM5/trunk/scripts/BB_make.ldef
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/trunk/scripts/BB_make.ldef	(revision 483)
+++ CONFIG/IPSLCM/IPSLCM5/trunk/scripts/BB_make.ldef	(revision 515)
@@ -11,12 +11,9 @@
 SXMODEL_LIB = $(MODEL_LIB)
 #-Q- eshpux  SXMODEL_LIB = $(LIBDIR)/libsxopa.a
-OASIS_LIB = 
 LIBMPI  =
 LIBMP   =
 USER_INC =
+USER_LIB =
 EXEC_BIN = ../../../bin/opa
-#-
-P_P = key_trabbl_dif key_vectopt_loop key_vectopt_memory key_orca_r2 key_lim2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtatem key_dtasal key_coupled key_trabbc key_zdftke key_zdfddm key_oasis3 key_diahth key_cpl_albedo key_cpl_discharge key_mpp_mpi
-
 #-
 #- Prefix for preprocessing ---
